## This is a sample config file. The important parts are arg_rewrite_mod
## and opaque. 
## Either modify this and copy it to /etc/yaws/conf.avail directory
## or copy the important parts to your existing configuration.

<server localhost>
    port = 8080
    listen = 127.0.0.1
    docroot = /var/www/
    dir_listings = true

    arg_rewrite_mod = yaws_vdir
    <opaque>
        vdir = "/doc/ /usr/share/doc"
    </opaq
</server>

## Note that the CGI scripts coming with dhelp are not currently functional
## with yaws because they lack the .cgi extension and thus require the writing
## of an appmode in erlang. You will have to workaround this for the moment.

## If you do not want to enable full access to /usr/share/doc, then
## replace the vdir = "/doc ..." line, with these:

    arg_rewrite_mod = yaws_vdir
    <opaque>
        vdir = "/doc/HTML/ /usr/share/doc/HTML"
        vdir = "/doc/dhelp/css/ /usr/share/doc/dhelp/css"
    </opaque>

## You will then need one more alias vdir line *for each* document linked
## by dhelp's document index pages, else the links will return error.
##
## See /usr/share/doc/dhelp/README.debian for more information.

